> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Item



## OpenAPI

````yaml /api-reference/openapi.json get /portfolio/items/{item_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /portfolio/items/{item_id}:
    get:
      tags:
        - Portfolio Monitoring
      summary: Get Portfolio Item
      operationId: get_portfolio_item_portfolio_items__item_id__get
      parameters:
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Item Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.PortfolioItemResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.PortfolioItemResponse:
      oneOf:
        - $ref: '#/components/schemas/v1.BusinessPortfolioItemResponse'
        - $ref: '#/components/schemas/v1.PersonPortfolioItemResponse'
      title: PortfolioItemResponse
      description: >-
        Portfolio item response - either Business or Person based on the item
        type.


        This is a discriminated union that selects the appropriate response type

        based on the `type` field.
      discriminator:
        propertyName: type
        mapping:
          Business:
            $ref: '#/components/schemas/v1.BusinessPortfolioItemResponse'
          Person:
            $ref: '#/components/schemas/v1.PersonPortfolioItemResponse'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.BusinessPortfolioItemResponse:
      description: Represents a business portfolio item
      properties:
        id:
          description: The unique identifier of the portfolio item.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Id
          type: string
        search_id:
          description: >-
            The unique identifier of the search that the portfolio item is based
            on.
          examples:
            - c623e29e-1f57-11ef-938f-1edb1b067314
          format: uuid
          title: Search Id
          type: string
        name:
          description: The name of the portfolio item.
          title: Name
          type: string
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          default: null
          description: The UUID of the portfolio group that the item belongs to.
          title: Group Id
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          default: null
          description: The user who created the portfolio item.
        comments:
          default: []
          items:
            $ref: '#/components/schemas/v1.PortfolioItemCommentResponse'
          title: Comments
          type: array
        attachments:
          default: []
          items:
            $ref: '#/components/schemas/v1.AttachmentResponseModel'
          title: Attachments
          type: array
        scores:
          default: []
          items:
            $ref: '#/components/schemas/v1.ScoreResponse'
          title: Scores
          type: array
        created_at:
          description: The timestamp of when the portfolio item was created.
          format: date-time
          title: Created At
          type: string
        last_monitored_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The timestamp of when the portfolio item was last monitored.
          title: Last Monitored At
        type:
          const: Business
          description: The type of the portfolio item.
          title: Type
          type: string
        business:
          $ref: '#/components/schemas/v1.BusinessSummaryResponse'
          description: The business associated with the portfolio item.
      required:
        - id
        - search_id
        - name
        - created_at
        - type
        - business
      title: BusinessPortfolioItemResponse (v1)
      type: object
    v1.PersonPortfolioItemResponse:
      description: Represents a person portfolio item
      properties:
        id:
          description: The unique identifier of the portfolio item.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Id
          type: string
        search_id:
          description: >-
            The unique identifier of the search that the portfolio item is based
            on.
          examples:
            - c623e29e-1f57-11ef-938f-1edb1b067314
          format: uuid
          title: Search Id
          type: string
        name:
          description: The name of the portfolio item.
          title: Name
          type: string
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          default: null
          description: The UUID of the portfolio group that the item belongs to.
          title: Group Id
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          default: null
          description: The user who created the portfolio item.
        comments:
          default: []
          items:
            $ref: '#/components/schemas/v1.PortfolioItemCommentResponse'
          title: Comments
          type: array
        attachments:
          default: []
          items:
            $ref: '#/components/schemas/v1.AttachmentResponseModel'
          title: Attachments
          type: array
        scores:
          default: []
          items:
            $ref: '#/components/schemas/v1.ScoreResponse'
          title: Scores
          type: array
        created_at:
          description: The timestamp of when the portfolio item was created.
          format: date-time
          title: Created At
          type: string
        last_monitored_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: The timestamp of when the portfolio item was last monitored.
          title: Last Monitored At
        type:
          const: Person
          description: The type of the portfolio item.
          title: Type
          type: string
        person:
          $ref: '#/components/schemas/v1.PersonSummaryResponse'
          description: The person associated with the portfolio item.
      required:
        - id
        - search_id
        - name
        - created_at
        - type
        - person
      title: PersonPortfolioItemResponse (v1)
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.UserAttributionResponse:
      description: |-
        Response model for user attribution operations.

        This model defines the structure for user attribution API responses.
      properties:
        id:
          description: Unique identifier for the user.
          format: uuid
          title: Id
          type: string
        first_name:
          description: First name of the user.
          examples:
            - Austin
          title: First Name
          type: string
        last_name:
          description: Last name of the user.
          examples:
            - Taylor
          title: Last Name
          type: string
        email:
          description: Email address of the user.
          examples:
            - jessicasimpson@example.com
          title: Email
          type: string
      required:
        - id
        - first_name
        - last_name
        - email
      title: UserAttributionResponse (v1)
      type: object
    v1.PortfolioItemCommentResponse:
      description: Represents a comment on a portfolio item.
      properties:
        id:
          description: The UUID of the comment.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Id
          type: string
        text:
          description: The text of the comment.
          title: Text
          type: string
        user:
          $ref: '#/components/schemas/v1.UserAttributionResponse'
          description: The user who made the comment.
        item_id:
          description: The UUID of the portfolio item that the comment is associated with.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Item Id
          type: string
        created_at:
          description: The timestamp of when the comment was made.
          examples:
            - '2021-01-01T00:00:00Z'
          format: date-time
          title: Created At
          type: string
      required:
        - id
        - text
        - user
        - item_id
        - created_at
      title: PortfolioItemCommentResponse (v1)
      type: object
    v1.AttachmentResponseModel:
      description: Represents an attachment response.
      properties:
        id:
          description: The UUID of the attachment.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Id
          type: string
        name:
          description: The name of the attachment.
          examples:
            - attachment.pdf
          title: Name
          type: string
        user:
          anyOf:
            - $ref: '#/components/schemas/v1.UserAttributionResponse'
            - type: 'null'
          default: null
          description: The user who uploaded the attachment.
        item_id:
          description: >-
            The UUID of the portfolio item that the attachment is associated
            with.
          examples:
            - ede786f3-33ae-4894-843d-af2025f1d5b0
          format: uuid
          title: Item Id
          type: string
        created_at:
          description: The timestamp of when the attachment was uploaded.
          examples:
            - '2021-01-01T00:00:00Z'
          format: date-time
          title: Created At
          type: string
        redirect_url:
          readOnly: true
          title: Redirect Url
          type: string
      required:
        - id
        - name
        - item_id
        - created_at
        - redirect_url
      title: AttachmentResponseModel (v1)
      type: object
    v1.ScoreResponse:
      properties:
        type:
          $ref: '#/components/schemas/v1.ScoreType'
          description: The type of score.
          examples:
            - risk
        score:
          description: The score value.
          examples:
            - 95
          title: Score
          type: number
        rating:
          description: The rating associated with the score.
          examples:
            - A
            - B
          title: Rating
          type: string
      required:
        - type
        - score
        - rating
      title: ScoreResponse (v1)
      type: object
    v1.BusinessSummaryResponse:
      description: Response model for business summary data.
      properties:
        id:
          description: Unique identifier for the business.
          format: uuid
          title: Id
          type: string
        name:
          description: >-
            The name of the business, determined by the name found on the
            domestic registration.
          examples:
            - Hamilton-Olson
          title: Name
          type: string
        address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary address associated with the business entity.
          examples:
            - 63788 Paige Lane Cooperfurt, MI 10037
          title: Address
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary phone number found associated with the business.
          examples:
            - 955-714-3269
          title: Phone Number
        email:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary email address found associated with the business.
          examples:
            - javier01@example.net
          title: Email
        website:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The primary website found associated with the business.
          examples:
            - https://jones.com/
          title: Website
        url:
          description: The URL to the business details.
          examples:
            - >-
              https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314
          format: uri
          maxLength: 2083
          minLength: 1
          title: Url
          type: string
        console_url:
          description: The URL to the business details in the console.
          examples:
            - >-
              https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314
          format: uri
          maxLength: 2083
          minLength: 1
          title: Console Url
          type: string
      required:
        - id
        - name
      title: BusinessSummaryResponse (v1)
      type: object
    v1.PersonSummaryResponse:
      properties:
        id:
          description: The unique identifier of the person
          examples:
            - c2fe09a9-2e5c-4254-9b54-2ea3b376a4f7
          format: uuid
          title: Id
          type: string
        first_name:
          description: The first name of the person
          examples:
            - John
            - Jane
          title: First Name
          type: string
        last_name:
          description: The last name of the person
          examples:
            - Doe
            - Smith
          title: Last Name
          type: string
        ssn:
          description: The social security number of the person
          examples:
            - XXXXX1234
          title: Ssn
          type: string
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The middle name of the person
          examples:
            - Michael
            - James
            - T
          title: Middle Name
        suffix:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The suffix of the person
          examples:
            - Jr.
            - Sr.
          title: Suffix
        title:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The title of the person
          examples:
            - Mr.
            - Mrs.
          title: Title
        created_at:
          description: When the person record was created
          examples:
            - '2025-01-15T12:00:00Z'
          format: date-time
          title: Created At
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: When the person record was last updated
          examples:
            - '2025-01-15T12:00:00Z'
          title: Updated At
      required:
        - id
        - first_name
        - last_name
        - ssn
        - created_at
      title: PersonSummaryResponse (v1)
      type: object
    v1.ScoreType:
      enum:
        - fraud
        - risk
        - kyb
      title: ScoreType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````